Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915916 (qt5-qtimageformats) - Review Request: qt5-qtimageformats - Qt5 - QtImageFormats component
Summary: Review Request: qt5-qtimageformats - Qt5 - QtImageFormats component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtimageformats
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review
Blocks: kde-reviews qt-reviews
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:47 UTC by Rex Dieter
Modified: 2013-09-27 18:41 UTC (History)
3 users (show)

Fixed In Version: qt5-qtimageformats-5.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-30 14:40:30 UTC
lkundrak: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-02-26 18:47:46 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtimageformats.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtimageformats-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtImageFormats component
Fedora Account System Username: rdieter

Comment 2 Lubomir Rintel 2013-08-27 17:23:31 UTC
* Package named properly
- Latest version not used, probably fine
- License text is not present
- The SPEC file in SRPM and one linked to differ (see below)
- SPEC file clean and legible
* Require list sane
* Provides sane
* Filelist sane
* Owns all files it should own
* Builds fine in mock

0.) You refer to license files in a comment, but don't ship any documentation

Please clarify which package are license files in, and possibly ask upstream to include full license text.

1.) Please make sure the package uses correct Source tag, your two SPEC files differ:

-Source0: http://download.qt-project.org/archive/qt/5.0/%{version}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz
+Source0: http://releases.qt-project.org/qt5/%{version}%{?pre:-%{pre}}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz

3.) Please consider using more useful description than just summary

Comment 3 Rex Dieter 2013-08-28 18:04:33 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtimageformats.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtimageformats-5.0.2-2.fc19.src.rpm

%changelog
* Wed Aug 28 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- update Source URL
- include license files
- improved description

Comment 4 Lubomir Rintel 2013-08-29 14:18:59 UTC
Looks good me now. Thank you!

APPROVED

Comment 5 Rex Dieter 2013-08-29 20:57:00 UTC
New Package SCM Request
=======================
Package Name: qt5-qtimageformats
Short Description: Qt5 - QtImageFormats component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2013-08-30 12:11:09 UTC
Already exists in devel only with than as owner.  Add other owners in pkgdb
and submit a Package Change request for the other branches.

Comment 7 Rex Dieter 2013-08-30 12:17:54 UTC
That's very strange.  How/when did that happen?  This package only just got reviewed and approved...

And,

$ fedpkg clone qt5-qtimageformats
Cloning into 'qt5-qtimageformats'...
fatal: '/srv/git/rpms//qt5-qtimageformats.git' does not appear to be a git repository
fatal: Could not read from remote repository.

Comment 8 Rex Dieter 2013-08-30 13:04:58 UTC
Package Change Request
======================
Package Name: qt5-qtimageformats
New Branches: f18 f19 f20

Comment 9 Gwyn Ciesla 2013-08-30 13:19:38 UTC
No owners listed.

Comment 10 Rex Dieter 2013-08-30 13:23:31 UTC
Package Change Request
======================
Package Name: pkgname
New Branches: f18 f19 f20
Owners: than rdieter jreznik kkofler ltinkl rnovacek

Comment 11 Gwyn Ciesla 2013-08-30 13:31:29 UTC
Git done (by process-git-requests).

Corrected name.

Comment 12 Rex Dieter 2013-08-30 14:40:30 UTC
gosh, sorry, thanks!


imported.

Comment 13 Rex Dieter 2013-09-10 20:38:19 UTC
Package Change Request
======================
Package Name: qt5-qtxmlpatterns
New Branches: el6
Owners: rdieter
InitialCC: 

Co-maintainers welcome!

Comment 14 Rex Dieter 2013-09-10 20:38:40 UTC
Package Change Request
======================
Package Name: qt5-qtimageformats
New Branches: el6
Owners: rdieter
InitialCC: 

Co-maintainers welcome!

Comment 15 Gwyn Ciesla 2013-09-11 12:04:45 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2013-09-11 17:27:11 UTC
qt5-qtimageformats-5.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtimageformats-5.1.1-1.el6

Comment 17 Fedora Update System 2013-09-27 18:41:54 UTC
qt5-qtimageformats-5.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.